=== debian/changelog ===
openimageio (1.3.14-0irie1~precise1) precise; urgency=medium

  * New upstream release

 -- IRIE Shinsuke <irieshinsuke@yahoo.co.jp>  Tue, 20 May 2014 14:29:30 +0900

openimageio (1.3.13-0irie1~trusty1) trusty; urgency=medium

  * New upstream release

 -- IRIE Shinsuke <irieshinsuke@yahoo.co.jp>  Sat, 12 Apr 2014 12:25:04 +0900

openimageio (1.3.12-0irie1~saucy1) saucy; urgency=low

  * New upstream release

 -- IRIE Shinsuke <irieshinsuke@yahoo.co.jp>  Sat, 08 Feb 2014 15:12:28 +0900

openimageio (1.3.11-0irie1~saucy1) saucy; urgency=low

  * New upstream release

 -- IRIE Shinsuke <irieshinsuke@yahoo.co.jp>  Sat, 18 Jan 2014 19:01:57 +0900

openimageio (1.3.9-0irie1~saucy1) saucy; urgency=low

  * New upstream release
  * Move to RB-1.3 branch:
    - Rename shared library package from libopenimageio1.2 to libopenimageio1.3
  * debian/misc/oiiotool.1:
    - Add new options: --dumpdata, --flatten, --ociodisplay
    - Update descriptions: --frames, --framepadding

 -- IRIE Shinsuke <irieshinsuke@yahoo.co.jp>  Tue, 31 Dec 2013 21:57:22 +0900

openimageio (1.2.3-0irie1~saucy1) saucy; urgency=low

  * New upstream release

 -- IRIE Shinsuke <irieshinsuke@yahoo.co.jp>  Wed, 06 Nov 2013 20:11:42 +0900

openimageio (1.2.2-0irie1~raring1) raring; urgency=low

  * New upstream release
  * debian/misc/oiiotool.1:
    - Add new option: --siappend

 -- IRIE Shinsuke <irieshinsuke@yahoo.co.jp>  Sun, 06 Oct 2013 19:45:38 +0900

openimageio (1.2.1-0irie1~raring1) raring; urgency=low

  * New upstream release
  * Move to RB-1.2 branch:
    - Rename shared library from libopenimageio1.1 to libopenimageio1.2
  * debian/misc/oiiotool.1:
    - Add new options: --runstats, --colorcount, --rangecheck, --autotrim,
            --kernel, --mul, --cadd, --chsum, --paste, --mosaic, --transpose,
            --cshift, --resample, --convolve, --blur, --unsharp, --fft, --ifft,
            --ociolook, --unpremult, --premult
    - Update descriptions: -d, --cmul
  * debian/misc/maketx.1:
    - Add new options: --old, --chnames, --lightprobe
    - Update descriptions: --filter, --Mscreen
    - Delete options: --fov, --hash, --envcube

 -- IRIE Shinsuke <irieshinsuke@yahoo.co.jp>  Sun, 11 Aug 2013 02:16:59 +0900

openimageio (1.1.13-0irie1~raring1) raring; urgency=low

  * New upstream release

 -- IRIE Shinsuke <irieshinsuke@yahoo.co.jp>  Sun, 30 Jun 2013 14:39:34 +0900

openimageio (1.1.11-0irie1~raring1) raring; urgency=low

  * New upstream release
  * Remove patch 010_include_tbb_assert_impl:
    - Fixed upstream c56ffac319 (oiio issue #555)

 -- IRIE Shinsuke <irieshinsuke@yahoo.co.jp>  Sun, 09 Jun 2013 18:29:41 +0900

openimageio (1.1.10-0irie1~raring1) raring; urgency=low

  * New upstream release
  * debian/copyright:
    - Fix lintian error copyright-should-refer-to-common-license-file-for-gpl
  * debian/misc/oiiotool.1:
    - Add new options: --fillholes, --clamp, --rangecompress, --rangeexpand
  * debian/misc/maketx.1:
    - Add new option: --hicomp

 -- IRIE Shinsuke <irieshinsuke@yahoo.co.jp>  Tue, 23 Apr 2013 13:03:48 +0900

openimageio (1.1.9-0irie1~raring1) raring; urgency=low

  * New upstream release
  * debian/misc/oiiotool.1:
    - Add new options: --frames, --framepadding
    - Update description: --fit
  * debian/control:
    - Build-Depends uses libtiff-dev instead of libtiff4-dev

 -- IRIE Shinsuke <irieshinsuke@yahoo.co.jp>  Mon, 08 Apr 2013 17:50:59 +0900

openimageio (1.1.8-0irie1~raring1) raring; urgency=low

  * New upstream release
  * debian/misc/oiiotool.1:
    - Add new options: --chnames, --chappend

 -- IRIE Shinsuke <irieshinsuke@yahoo.co.jp>  Fri, 29 Mar 2013 14:32:59 +0900

openimageio (1.1.7-0irie1~quantal1) quantal; urgency=low

  * New upstream release

 -- IRIE Shinsuke <irieshinsuke@yahoo.co.jp>  Sat, 23 Feb 2013 18:08:51 +0900

openimageio (1.1.6-0irie1~quantal1) quantal; urgency=low

  * New upstream release
  * debian/misc/oiiotool.1:
    - Add new options: --cmul, --fit, --swap
    - Update descriptions:
        --create, --pattern, --capture, --zover, --histogram, --resize, --fill

 -- IRIE Shinsuke <irieshinsuke@yahoo.co.jp>  Sat, 16 Feb 2013 03:45:08 +0900

openimageio (1.1.5-0irie2~quantal1) quantal; urgency=low

  * Disable system wide libtbb again:
    - debian/control: Remove libtbb-dev from Build-Depends
    - debian/rules: Remove CMake option -DUSE_EXTERNAL_TBB:BOOL=ON
  * debian/copyright:
    - Update copyright year
    - Add descriptions of external libraries:
       TBB (GPL-2 with exception), pugixml (Expat)
  * Add patch 010_include_tbb_assert_impl:
    - Fix build failure on 32bit platforms

 -- IRIE Shinsuke <irieshinsuke@yahoo.co.jp>  Thu, 07 Feb 2013 17:31:45 +0900

openimageio (1.1.5-0irie1~quantal1) quantal; urgency=low

  * New upstream release
  * debian/control:
    - Add libtbb-dev, libwebp-dev, libfreetype6-dev to Build-Depends
  * debian/rules:
    - Add CMake option -DUSE_EXTERNAL_TBB:BOOL=ON to use sysem wide libtbb
  * Remove patch 010_fix_FTBFS_on_i386:
    - Fixed upstream
  * debian/misc/oiiotool.1:
    - Add new options: --metamatch, --no-metamatch, --zover
    - Update descriptions: --create, --pattern, --capture, --histogram

 -- IRIE Shinsuke <irieshinsuke@yahoo.co.jp>  Sat, 02 Feb 2013 18:58:18 +0900

openimageio (1.1.3-0irie1~quantal1) quantal; urgency=low

  * New upstream release
  * debian/misc/*.1:
    - maketx.1: Add --fullpixels option
    - oiiotool.1: Fix --over option

 -- IRIE Shinsuke <irieshinsuke@yahoo.co.jp>  Thu, 17 Jan 2013 04:19:29 +0900

openimageio (1.1.2-0irie2~quantal1) quantal; urgency=low

  * Add patch 010_fix_FTBFS_on_i386:
    - Import from Blender's install_deps.sh script

 -- IRIE Shinsuke <irieshinsuke@yahoo.co.jp>  Fri, 14 Dec 2012 20:00:28 +0900

openimageio (1.1.2-0irie1~quantal1) quantal; urgency=low

  * Move to RB-1.1 branch:
    - Rename shared library from libopenimageio1.0 to libopenimageio1.1
  * Refresh a patch 020_multiarch_findlibs
  * debian/docs:
    - Rename README to README.rst

