=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BLDDIR = debian/cmake

%:
	dh $@ -Scmake -B$(BLDDIR) --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_SKIP_RPATH:BOOL=ON \
		-DBUILD_TESTING:BOOL=OFF \
		-DUSE_FIELD3D:BOOL=OFF \
		-DUSE_OCIO:BOOL=OFF \
		-DUSE_PYTHON:BOOL=OFF

override_dh_installchangelogs:
	dh_installchangelogs CHANGES
